% Set zb1 value according to given restrictions
Z_temp = str2double(get(gco,'String'));
if (isnan(Z_temp))
    set(gco,'String',num2str(Z_temp));
elseif ~or(Z_temp == 0, and(Z_temp >= Z_min, Z_temp <= Z_max))
    if (Z_temp <= 1)
        zb1 = 0;
        set(gco,'String',num2str(zb1));
    elseif and(Z_temp < Z_min, Z_temp > 1)
        zb1 = Z_min;
        set(gco,'String',num2str(zb1));
    else
        zb1 = Z_max;
        set(gco,'String',num2str(zb1));
    end
else
    zb1 = Z_temp;
end;