function gn2n1 = gainQCL(Enl, Nnl, n, l, d, J)
% QCL gain
    
global e nrefrac eps0 lambda

    N2l = Nnl((n == 2) & ismember(l, l(n == 3)));
    N3l = Nnl(n == 3);
    
    E2l = Enl((n == 2) & ismember(l, l(n == 3)));
    E3l = Enl(n == 3);

    gn2n1 = 2 * e * pi ^ 2 * d ^ 2 * sum(JGAIN(E3l, E2l) .* (N3l - N2l)) / nrefrac / eps0 / lambda / J * 10 ^ 7; % cm ^ 2 / kA

end

