function y = mL(ld, lu, x)
% Associated Laguerre polynomial

    if ((ld <= 20) && (lu + ld <= 20))
        y = polyval(AssociatedLaguerrePoly(ld, lu), x);
    else
        y = mfun('L', ld, lu, x);
    end
    
end

